#!/bin/bash

# convert CSV to MD using R
Rscript --vanilla \
        -e "library('magrittr')
            options(knitr.kable.NA = '')
            pal::assert_pkg('purrr')
            c('dplyr',
              'pal',
              'readr') |>
              purrr::walk(pal::assert_pkg)
            
            readr::read_csv(file = 'terminology.csv',
                            col_types = 'cc') |>
              dplyr::mutate(dplyr::across(term_votelog,
                                          pal::wrap_chr,
                                          wrap = '\`')) |>
              pal::pipe_table() %>%
              c('<!-- DO NOT EDIT THIS FILE BY HAND. Instead edit the CSV source file \`terminology.csv\` and run \`convert.sh\`. -->',
                '',
                .) |>
              readr::write_lines(file = 'terminology.md',
                                 na = '')"
